Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1510725 - [GSS] glustersfd (brick) process crashed
Summary: [GSS] glustersfd (brick) process crashed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: locks
Version: rhgs-3.2
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: RHGS 3.4.0
Assignee: Krutika Dhananjay
QA Contact: nchilaka
URL:
Whiteboard:
Depends On:
Blocks: 1503134 1511256
TreeView+ depends on / blocked
 
Reported: 2017-11-08 04:57 UTC by Prashant Dhange
Modified: 2018-09-17 08:43 UTC (History)
13 users (show)

Fixed In Version: glusterfs-3.12.2-1
Doc Type: Bug Fix
Doc Text:
When a stale lock on the volume is cleared using the gluster volume clear-locks <volname> command, one of the references to lock is still in memory even after the lock is destroyed. Upon disconnection from the client, this invalid memory is accessed which leads to a crash. With this fix, final reference to the lock is cleared as part of the clear-locks command, so the operation doesn't lead to unofficial memory access.
Clone Of:
Environment:
Last Closed: 2018-09-04 06:39:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:2607 None None None 2018-09-04 06:40:27 UTC

Comment 32 errata-xmlrpc 2018-09-04 06:39:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2607


Note You need to log in before you can comment on or make changes to this bug.